org.fourthline.cling.support.model.container

## Class PlaylistContainer

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject
  - - org.fourthline.cling.support.model.container.Container
    - - org.fourthline.cling.support.model.container.PlaylistContainer

-     public class PlaylistContainer
      extends Container

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject

      `DIDLObject.Class, DIDLObject.Property<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DIDLObject.Class` | `CLASS`

    - ### Fields inherited from class org.fourthline.cling.support.model.container.Container

      `childCount, containers, createClasses, items, searchable, searchClasses`

    - ### Fields inherited from class org.fourthline.cling.support.model.DIDLObject

      `clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlaylistContainer()`
    `PlaylistContainer(Container other)`
    `PlaylistContainer(String id, Container parent, String title, String creator, Integer childCount)`
    `PlaylistContainer(String id, String parentID, String title, String creator, Integer childCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersonWithRole[]` | `getArtists()`
    `Person[]` | `getContributors()`
    `String` | `getDate()`
    `String` | `getDescription()`
    `PersonWithRole` | `getFirstArtist()`
    `Person` | `getFirstContributor()`
    `String` | `getFirstGenre()`
    `Person` | `getFirstProducer()`
    `String` | `getFirstRights()`
    `String[]` | `getGenres()`
    `String` | `getLanguage()`
    `String` | `getLongDescription()`
    `Person[]` | `getProducers()`
    `String[]` | `getRights()`
    `StorageMedium` | `getStorageMedium()`
    `PlaylistContainer` | `setArtists(PersonWithRole[] artists)`
    `PlaylistContainer` | `setContributors(Person[] contributors)`
    `PlaylistContainer` | `setDate(String date)`
    `PlaylistContainer` | `setDescription(String description)`
    `PlaylistContainer` | `setGenres(String[] genres)`
    `PlaylistContainer` | `setLanguage(String language)`
    `PlaylistContainer` | `setLongDescription(String description)`
    `PlaylistContainer` | `setProducers(Person[] persons)`
    `PlaylistContainer` | `setRights(String[] rights)`
    `PlaylistContainer` | `setStorageMedium(StorageMedium storageMedium)`

    - ### Methods inherited from class org.fourthline.cling.support.model.container.Container

      `addContainer, addItem, getChildCount, getContainers, getCreateClasses, getFirstContainer, getItems, getSearchClasses, isSearchable, setChildCount, setContainers, setCreateClasses, setItems, setSearchable, setSearchClasses`

    - ### Methods inherited from class org.fourthline.cling.support.model.DIDLObject

      `addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS

          public static final DIDLObject.Class CLASS

  - ### Constructor Detail

    - #### PlaylistContainer

          public PlaylistContainer()

    - #### PlaylistContainer

          public PlaylistContainer(Container other)

    - #### PlaylistContainer

          public PlaylistContainer(String id,
                                   Container parent,
                                   String title,
                                   String creator,
                                   Integer childCount)

    - #### PlaylistContainer

          public PlaylistContainer(String id,
                                   String parentID,
                                   String title,
                                   String creator,
                                   Integer childCount)

  - ### Method Detail

    - #### getFirstArtist

          public PersonWithRole getFirstArtist()

    - #### getArtists

          public PersonWithRole[] getArtists()

    - #### setArtists

          public PlaylistContainer setArtists(PersonWithRole[] artists)

    - #### getFirstGenre

          public String getFirstGenre()

    - #### getGenres

          public String[] getGenres()

    - #### setGenres

          public PlaylistContainer setGenres(String[] genres)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public PlaylistContainer setDescription(String description)

    - #### getLongDescription

          public String getLongDescription()

    - #### setLongDescription

          public PlaylistContainer setLongDescription(String description)

    - #### getFirstProducer

          public Person getFirstProducer()

    - #### getProducers

          public Person[] getProducers()

    - #### setProducers

          public PlaylistContainer setProducers(Person[] persons)

    - #### getStorageMedium

          public StorageMedium getStorageMedium()

    - #### setStorageMedium

          public PlaylistContainer setStorageMedium(StorageMedium storageMedium)

    - #### getDate

          public String getDate()

    - #### setDate

          public PlaylistContainer setDate(String date)

    - #### getFirstRights

          public String getFirstRights()

    - #### getRights

          public String[] getRights()

    - #### setRights

          public PlaylistContainer setRights(String[] rights)

    - #### getFirstContributor

          public Person getFirstContributor()

    - #### getContributors

          public Person[] getContributors()

    - #### setContributors

          public PlaylistContainer setContributors(Person[] contributors)

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public PlaylistContainer setLanguage(String language)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.